import {MouseEvent} from 'react';

export interface IMenuTreeItem {
    id: string;
    name: string;
    active: boolean;
    level: number;
    children: Array<IMenuTreeItem>;
}

export interface IMenuTree {
    menus: Array<IMenuTreeItem>;

    handleClick(e: MouseEvent<HTMLSpanElement>, item: IMenuTreeItem): void;
}